program cotheqx
  implicit none
  real :: x,x1,y,y1,eps
  
  x=0.5
  eps=0.00001
  
  do 
     y=1 / tanh(x) - x
     y1=-sinh(x)**(-2) - 1
     x1=-y/y1 + x
     if (abs(y) .lt. eps) then
        x=x1
        y=1 / tanh(x) - x
        write(*,*) 2*x,y
        exit
     else
        x=x1
     end if
  end do
end program cotheqx
